diff -c /dev/null xc/programs/Xserver/hw/xfree86/CHANGELOG:3.129
*** /dev/null	Mon Jan 30 17:32:31 1995
--- xc/programs/Xserver/hw/xfree86/CHANGELOG	Mon Jan 30 17:32:32 1995
***************
*** 0 ****
--- 1,1052 ----
+ XFree86 3.1.1 (30 January 1995)
+ 265. --- Code freeze ---
+ 264. Include final form of fix-11.
+ 
+ XFree86 3.1.0Zg (29 January 1995)
+ 263. Include final form of fix-10.
+ 262. Fix some merge problems.
+ 
+ XFree86 3.1.0Zf (28 January 1995)
+ 261. Merge in prelim version of XC fix-11.
+ 
+ XFree86 3.1.0Ze (28 January 1995)
+ 260. Merge in prelim version of XC fix-10.
+ 
+ XFree86 3.1.0Zd (28 January 1995)
+ 259. Merge in XC fix-09.
+ 258. Minor updates (mostly typographical) to smooth the fix-11 merge.
+ 257. Define X_LOCALE for Linux.
+ 
+ XFree86 3.1.0Zc (27 January 1995)
+ 256. Doc updates.
+ 255. Minor hw/xfree86 updates for fix-11 (Kaleb Keithley).
+ 254. Merge in XC fix-08.
+ 
+ XFree86 3.1.0Zb (26 January 1995)
+ 253. Rename some files under hw/xfree86 to avoid clashes when truncated to
+      8.3 type names as used on ISO9660 format CDROMs.
+ 
+ XFree86 3.1.0Za (25 January 1995)
+ 252. Minor pixmux clock limit update for Trio64 (Harald Koenig).
+ 251. Merge in XC fix-07.
+ 250. Some documentation updates.
+ 
+ XFree86 3.1.0Z (23 January 1995)
+ 249. Restore correct key maps for 84-key keyboard, but allow alternate (old)
+      behaviour when "ServerNumLock" is set in the XF86Config.
+ 248. xf86config updates (Harald Koenig).
+ 247. Remove stripes when panning with Ti3025 (Harald Koenig).
+ 246. Enable linear fb probing for VLB Trio64 cards with > 1MB DRAM
+      (Harald Koenig).
+ 245. Put blank delay values back to what they were for non-#9 Ti3025
+      boards (Harald Koenig).
+ 244. Fix AGX fill problems and hangs when exiting with an AGX-016 under
+      SVR4 (Henry Worth).
+ 243. Fix AGX font cache problem, and other updates/cleanups
+      (Henry Worth).
+ 
+ XFree86 3.1.0Ce (22 January 1995)
+ 242. Updates to vgawonder driver, including fix for 68800-6 memory probe,
+      and a reworking of the clock matching code (Marc Aurele La France).
+ 241. Remove most BIOS dependencies in vgawonder probe code
+      (Marc Aurele La France).
+ 240. Change ordering of Mach32 and Mach64 probing in SuperProbe, ati.test
+      and the vgawonder driver to avoid hanging Mach32 boards.  Also use
+      a timeout in all WaitIdle loops in the probes (Marc Aurele La France).
+ 239. Minor #9 GXE64Pro updates (Hans Nasten).
+ 238. Allow LASTLOG to be independent of SYSV_UTMP in xterm -- so it will
+      work for Linux (Helmut Geyer).
+ 
+ XFree86 3.1.0Cd (21 January 1995)
+ 237. Improve positioning of pixmap expansion and font cache areas with
+      the S3 server.
+ 236. Fix problem with Cirrus mono server crashing (Stephen Kump).
+ 235. Allow the "sw_cursor" option to work for the S3 server.
+ 234. Fix S3 HW cursor hot spot problem when no ViewPort entry is given in
+      the XF86Config (Harald Koenig).
+ 233. Fix some S3 Trio64 8bpp+pixmux display errors (Harald Koenig).
+ 232. Fix #9 GXE64Pro problems introduced in 3.1.0Cc (Hans Nasten).
+ 231. SPEA auto-detection for their Trio64 cards (Norbert Distler).
+ 230. Possible fix for keymap problems with 84-key keyboards.
+ 229. Internationalisation support for xterm (Martin Forssén).
+ 228. Remove the need for a Virtual entry in the XF86Config for the Mach64
+      server.
+ 
+ XFree86 3.1.0Cc (20 January 1995)
+ 227. Add a check to the W32 server for invalid depths.
+ 226. Fix bug in PaintWindow in Mach32 and AGX servers (Stuart Anderson).
+ 225. Chrontel 8391 programmable clock support (Richard Burdick
+      and Harald Koenig).
+ 224. S3 programmable clock code updates (Harald Koenig).
+ 223. Support for S3 Trio32 and Trio64 (Harald Koenig).
+ 222. Updates to S3 Ti3025 code for the Miro 40SV (Harald Koenig).
+ 221. Update xf86config to know about the latest clockchip changes
+      (Harm Hanemaayer).
+ 220. Minor cirrus HW cursor patch (Harm Hanemaayer).
+ 219. Updates to OAK driver, including mapping the linear fb above 64MB
+      (Jorge Delgado).
+ 
+ XFree86 3.1.0Cb (19 January 1995)
+ 218. Fix XLOCAL parsing problem introduced in XC fix-06 (Steve Forsythe).
+ 217. Added a DocIndex (to use as a starting point for the HTML docs).
+ 216. README.Oak (Jorge Delgado).
+ 215. SuperProbe/kbd_mode updates for compiling with PCVT_SUPPORT
+      (Joerg Wunsch).
+ 214. Fix for 90C31 acceleration problems.
+ 213. Don't use '-ansi -pedantic' for Solaris versions earlier than 2.4.
+ 
+ XFree86 3.1.0Ca (18 January 1995)
+ 212. S3 update for SPEA Mercury P64 (Norbert Distler).
+ 211. Late LBX updates from the XC.
+ 210. Add a "no_imageblt" option for the Cirrus driver (Harm Hanemaayer).
+ 209. Support for 2:1 pixmux 8bpp RAMDACs on boards with fixed clock chips.
+ 208. S3 changes for the ICS5342 ramdac/clock (Harald Koenig).
+ 207. Fix problem in miZeroClipLine() which can cause a server hang
+      (Harald Koenig).
+ 206. Fix register unlocking problem in S3 server (for Stealth 64 VRAM)
+      (Harald Koenig).
+ 
+ XFree86 3.1.0C (15 January 1995)
+ 205. Preliminary programmable clock support for the Mach64 server
+      (Kevin Martin).
+ 204. Add accelerated line code for the P9000 server and fix/update some
+      other accelerated code (Chris Mason).
+ 203. Allow XF86Config Videoram to override autodetection with the P9000
+      server, and allow the "vram_128" option force recognition of
+      128kx8 VRAM (Erik Nygren).
+ 202. Change P9000 programmable clock operation to be consistent with other
+      servers (Erik Nygren).
+ 201. Allow Cirrus MMIO for the 5429, and change on of the fixed clocks
+      in the Cirrus programmable clock code (Harm Hanemaayer).
+ 
+ XFree86 3.1.0Bf (14 January 1995)
+ 200. Preprocess Linux jump files, and allow libX11 to be built with XdmAuth
+      (Orest Zborowski).
+ 199. Fix VTSema-related problem in s3bstore.c (Henry Worth).
+ 198. Merge in XC's pre-fix-07 LBX code.
+ 
+ XFree86 3.1.0Be (12 January 1995)
+ 197. Include Japanese translations of some XFree86 3.1 docs (Kazuyuki Okamoto).
+ 196. Updates to SPEA detection code (Norbert Distler).
+ 195. Fix for ICS2595 initialisation problem (Norbert Distler).
+ 194. Some vgawonder driver fixes (Marc Aurele La France).
+ 193. Prevent xf86config from crashing when some fields are missing in
+      the Cards database (Matthieu Herrb).
+ 192. Fix S3 cursor X position when the display address is not changed to
+      avoid display errors.
+ 191. Set S3 M/N paramters depending on the MCLK value (which can be probed
+      or set in XF86Config) (Harald Koenig).
+ 
+ XFree86 3.1.0Bd (12 January 1995)
+ 190. Update cl64xx driver for modeRec changes.
+ 189. Merge in XC public fix-06.
+ 
+ XFree86 3.1.0Bc (11 January 1995)
+ 188. Added a DontZoom keyword for the XF86Config "ServerFlags" section
+      to disable the mode switching key sequences.
+ 187. Updates for ISC.  Includes imake config support for the SVR3 mmap
+      driver, updates to install.svr3, and patches for building lbxproxy
+      (Michael Rohleder).
+ 186. Fix 864 + STG1700 8bpp pixmux for clocks between 67.5 and 95 MHz
+      (Harald Koenig).
+ 185. Change VRAM timings for Diamond Stealth 64 VRAM (Harald Koenig).
+ 184. Set HSyncEnd overflow in S3 server when needed (Harald Koenig).
+ 183. Prevent C&T driver from pretending to support the 82c45x chipsets.
+ 182. Don't trap <ctrl><alt><bs> when DontZap is set.
+ 
+ XFree86 3.1.0Bb (10 January 1995)
+ 181. Updates to linear fb code for OTI087, and allow the FIFO threshold
+      to be set from XF86Config (Jorge Delgado).
+ 180. Add hooks for server/driver mode validation.  This is currently used
+      only by the NCR SVGA driver (Stuart Anderson).
+ 179. Fix for ET4000/W32 bank switching code in the SVGA et4000 driver
+      (David Etherton).
+ 178. Similar hw cursor move fix for S3 server.
+ 177. Fix for Cirrus crash when the hw cursor is moved while in another VT
+      (Harm Hanemaayer).
+ 176. Allow the "s3_964_bt485_vclk" to be used for the Diamond Stealth64 (VRAM).
+      This requires the "diamond" option (Harald Koenig).
+ 175. Rewrite xlfd_round_double() to speed it up on machines with no
+      hw floating point.  This reduces server startup time on such machines
+      (Harald Koenig).
+ 174. Reduce amount of floating-point calculation in icd2061a and S3 gendac
+      clock code (Harald Koenig).
+ 173. Probe code to detect some SPEA boards and correctly set the clockchip
+      (Norbert Distler).
+ 172. Allow Xservers to be built with only PCVT support on *BSD, and
+      clean up the console driver probing for *BSD (Joerg Wunsch).
+ 
+ XFree86 3.1.0Ba (8 January 1995)
+ 171. Change "ct5??" chips&tech names to "ct655??".
+ 170. Fix for Xnest (and Xvfb) not calling OsInitColors().
+ 169. Add support for relinking the Xnest server with the LinkKit.
+ 168. Modify vgawonder to probe clocks when -probeonly is used
+      (Marc Aurele La France).
+ 167. Fix some cirrus line drawing problems and fix non-interlaced modes
+      with vertical timings > 1024 (Harm Hanemaayer).
+ 166. Avoid use of the threads lib for SolX86 (David Holland).
+ 
+ XFree86 3.1.0B (4 January 1995)
+ 165. Support for C&T 65540/45 added to the SVGA server (Régis Cridlig).
+ 164. Change cirrus programmable clock code to use a tested set of clock
+      parameters when there is one close to the requested clock freqency
+      (Harm Hanemaayer).
+ 163. Fix cirrus BitBLTs with height > 1024 for 543x (Harm Hanemaayer).
+ 162. Clock-related updates to the vgawonder driver (reject invalid clocks
+      where possible) (Marc Aurele La France).
+ 161. Config updates (including installatiion of host.def and fix references
+      to cl64xx driver in xf86site.def) (Marc Aurele La France).
+ 
+ XFree86 3.1.0Ae (2 January 1995)
+ 160. Replace docs with the ascii versions generated from the sgml source.
+ 159. Major updates to xf86config(1), including the addition of a Cards
+      database (Harm Hanemaayer).
+ 158. Check and reject invalid XF86Config depths for the VGA16 and Mono
+      servers.
+ 157. Add an "s3_964_bt485_vclk" option to fix a problem with 964+Bt485.
+      Also added code to detect the MIRO 20SV board revision (Harald Koenig).
+ 156. Add an S3Mclk entry to XF86Config to allow the MCLK value to be specified
+      in order to aid the calculation of the optimal M parameter
+      (Harald Koenig).
+ 155. Fix S3 linear fb check and allow membase to work for 864/964 boards
+      (Harald Koenig).
+ 154. Move server lock code back into Xserver/os so that it gets used by
+      Xnest and Xvfb.
+ 
+ XFree86 3.1.0Ad (26 December 1994)
+ 153. Fix problems with DBLSCAN code introduced in 3.1.0Aa (Harm Hanemaayer).
+ 152. Support for adding LBX via the LinkKit.
+ 151. Fix some LinkKit config problems.
+ 150. Fix LinkKit Imakefile bug introduced in 3.1.0A.
+ 149. Support for SPEA Mercury P64 (Bt485 + 964) (Norbert Distler).
+ 148. Enable ICD2061A/SC11412 clockchip by default for S3 server if the
+      the "SPEA_Mercury" option is given and Bt485 + 964/928 is detected
+      (doesn't happen if an XF86Config entry for either ramdac or clockchip
+      is present) (Norbert Distler).
+ 147. Fix for PCI Type 2 probe for I128 SuperProbe code (Robin Cutshaw).
+ 146. Major Cirrus update.  Includes new acceleration using mmio (lines
+      tilefill and rectangles), and more acceleration for 16/32bpp
+      (Harm Hanemaayer).
+ 145. Fixes for AGX dashed line code (Henry Worth).
+ 144. Allow S3 server to put the cache in the area to the right of the screen
+      when it is larger than the area below it (Leonard N. Zubkoff).
+ 
+ XFree86 3.1.0Ac (20 December 1994)
+ 143. Imake template and rules for LinuxDoc-SGML formatting.
+ 142. Documentation converted to LinuxDoc-SGML (Gertjan Akkerman,
+      Jayadev Billa, Matthieu Herrb, Michael Klemme).
+ 141. Re-enable SO_REUSEADDR code in Xtranssock.
+ 
+ XFree86 3.1.0Ab (18 December 1994)
+ 140. Item 58. below (the patch didn't get included before).
+ 139. Add some sanity checking for horizontal timing parameters (including
+      HTotal overflow for 864 with 24bpp, pixmux and HTotal > 1024)
+      (Harald Koenig).
+ 138. Add check for 864 DCLK limit for 24bpp (Harald Koenig).
+ 137. Clean up of SDAC/GENDAC detection and related messages (Harald Koenig).
+ 136. Allow the following ramdac and clock chips to be specified by name:
+      att21c498 (att20c498), ics5300 (s3_gendac), ics5342 (s3_sdac),
+      ics9161a & dcs2824 (icd2061a).  (Harald Koenig)
+ 135. OS/2 updates, including config updates, SuperProbe support and
+      compile-time support for most of the Xserver (Holger Veit).
+ 134. Updated cl64xx driver, including support for the CL6440.  Note, the
+      driver name has changed from "cl6420" to "cl64xx" (Manfred Brands and
+      Randy Hendry).
+ 133. Fix VT switch problem with the SVGA MX driver (Frank Dikker).
+ 132. Add PCI config type 1 support to I128 probe in SuperProbe (Robin Cutshaw).
+ 131. Update support for STB Pegasus (928 + Bt485), including 16bpp and
+      32bpp (Leonard N. Zubkoff).
+ 130. Fix pixmux clock check in Mach32 server (Alan Hourihane).
+ 129. Mods to allow XFree86 servers to compile with 'gcc -ansi -pedantic'
+      on Solaris 2.x (David Holland).
+ 128. Fix stipple problem in S3 server.
+ 127. Fix for setuid-root xterm problem reading .Xauthority file on
+      nfs-mounted filesystem (so far only for systems with POSIX_SAVED_IDS)
+      (Christos Zoulas).
+ 126. Move server lock code into hw/xfree86 (Kaleb Keithley).
+ 125. Really fix Membase handling for S3 server and 805/928.
+ 124. Fix Mach32 probe problem.
+ 123. Fix SVR3 config problems (Michael Rohleder).
+ 
+ XFree86 3.1.0Aa (11 December 1994)
+ 122. Fix default mapping for numpad keys.  ServerNumLock should now not
+      be required (for clients using R6 Xlib).
+ 121. DoubleScan modes are no longer specified with doubled vertical timings.
+ 120. Add extra timings fields to the ModeRec which are the CRTC values
+      used by the hardware.
+ 119. Update oak driver to support linear mode for the oti-087 (Jorge Delgado).
+ 118. Fix '-DSTATIC_COLOR' problems (Hans Nasten).
+ 117. Fix typos which prevented Mach64 detection in SuperProbe from working
+      (Marc Aurele La France).
+ 116. Allow XF86Config settings to override ELSA probe (Harald Koenig).
+ 115. Fix Membase handling for S3 server and 805/928.
+ 114. Make BSD console driver support selectable from imake.
+ 113. Fix some SVR4 config problems.
+ 
+ XFree86 3.1.0A (5 December 1994)
+ 112. Mach64 pixmap cache fixes (Kevin Martin).
+ 111. Improve cirrus programmable clock handling (Harm Hanemaayer).
+ 110. Add code to SuperProbe to detect the #9 Imagine I128 (Robin Cutshaw).
+ 
+ XFree86 3.1.0g (2 December 1994)
+ 109. Enable mmio for the Cirrus 543x (Harm Hanemaayer).
+ 108. Updates to xf86config (Harm Hanemaayer).
+ 107. Code for SuperProbe to successfuly detect CL-GD543x (Harm Hanemaayer).
+ 106. Eliminate all references to "SYSV386".  "-Di386" should be used instead,
+      even in the BOOTSTRAPCFLAGS for SVR4 and SVR3 (Kaleb Keithley).
+ 105. Some typo changes to bring our code closer to what the XC has.
+ 
+ XFree86 3.1.0f (1 December 1994)
+ 104. Eliminate references to SYSV386.
+ 103. Add check for usable linear fb for 864/964 boards.
+ 102. Detect and reject Mach64 boards whose ROM or VGA capability has been
+      disabled (Marc Aurele La France).
+ 101. Expermental code in the vgawonder driver to reset Mach* boards.  This
+      is enabled with the "noaccel" option (Marc Aurele La France).
+ 100. Fix clashes with K_SCROLLLOCK and related symbols defined in newer
+      Linux releases (Marc Aurele La France).
+  99. Change SuperProbe to detect the Mach64, and deal with ATI DAC classes
+      6 and 7, and recognise the ATI 28800-6 chip (Marc Aurele La France).
+  98. ISC 3.x and 4.x support (Michael Rohleder).
+  97. Add support for 640 and 800 line widths to AGX server (Henry Worth).
+  96. Fix cursor/screen scrolling problem for doublescan modes (Henry Worth).
+  95. Add missing XF86_Mach64.c file.
+ 
+ XFree86 3.1.0e (27 November 1994)
+  94. Add missing install rule for gccmakedep.
+  93. Define CSRG_BASED for *BSD (Kaleb Keithley).
+  92. Code/prototype cleanup under hw/xfree86 (Kaleb Keithley).
+  91. Mach64 accelerated server (Kevin Martin).
+ 
+ XFree86 3.1.0d (22 November 1994)
+  90. Updates to NetBSD aperture driver (Matthieu Herrb).
+  89. Bring back 'gccmakedep' from 2.x.  Currently only use it when
+      UseInstalled is true.
+  88. Support for additional keys on Microsoft ergonomic keyboard (may
+      require support in the OS's console driver) (Kaleb Keithley).
+  87. Updates for SCO (David McCullough).
+  86. Don't require the Virtual size to be specifed for the Mach32 server.
+  85. Allow virtual widths < 1024 for Mach32 server (currently untested).
+  84. Some preliminary support for ISC (SVR3) 4.x (Michael Rohleder).
+  83. ET4000/W32 server updates.  Includes accelerated 32-bit opaque and
+      transparent stipple, acceleration for cases where the planemask != 0xFF,
+      and ramdac code changed to accomodate more ramdac types (Glenn Lai).
+  82. NetBSD support in hw/sun (Dennis Ferguson, Matthew Green, Matthieu
+      Herrb).
+  81. Fix xterm hang-on-exit problem on SolX86 2.4 (David Holland).
+  80. Speedups for AGX constant-metric and non-overlapping characters
+      (Henry Worth).
+  79. AGX accelerated dashed lines, and solid fills for arcs and polygons
+      (Henry Worth).
+  78. Doublescan support for the AGX server (Henry Worth).
+  77. Update AGX server to delete unusable modes, and to allow the virtual
+      width to be less than the display width (Henry Worth).
+  76. Fix typo in oak driver (which broke 067/077 support) (Jorge Delgado).
+  75. NetBSD updates, including SparcArchitecture support in imake config
+      (Matthieu Herrb).
+  74. 32bpp support for SPEA Mercury (928+Bt485) (Norbert Distler).
+  73. Modify Linux kbd code to read the "high_keys" mapping (Takashi Manabe).
+  72. Fix RGBPath in XF86Config being ignored.
+ 
+ XFree86 3.1.0c (6 November 1994)
+  71. Fix xload for FreeBSD 1.1.5 (Joerg Wunsch).
+  70. Modify S3 linear fb probe to handle the non-standard CR5A[6:7] address
+      mapping used by some Diamond boards (including the Diamond Stealth Pro).
+      Also, the 10 most significant bits of a specified MemBase value are
+      now used (which leads to an incompatibility with previous usage)
+      (Dick Streefland).
+  69. Fix clock matching and some other problems in vgawonder driver
+      (Marc Aurele La France).
+  68. Reduce RAS to 6 MCLKs for SPEA Mercury (Norbert Distler).
+  67. Fix setting of CR65 for the SPEA Mercury -- fixes 1600 width at 8bpp
+      and 1152 width at 16bpp (Norbert Dislter).
+  66. Change MCLK from 46MHz to 49MHz in the SC11412 clock code (Norbert
+      Distler).
+  65. S3 code to detect 866/868/968/Trio32/Trio64 and treat them as
+      an 864 (Harald Koenig).
+  64. Update SuperProbe to detect  STG1700, S3 GENDAC and SDAC, ATT22C498,
+      S3 Vision866, 868, 968, Trio32 and Trio64 (Harald Koenig).
+  63. Enforce 95MHz limit for 864 when no pixmux (eg, 16bpp) (Harald Koenig).
+  62. Increase pixmux cut-in point for ATT20C498 to 95MHz (Harald Koenig).
+  61. ATT22C498 detection and (untested) support (Harald Koenig).
+  60. New code for S3 SDAC/GENDAC detection, and enable the programmable
+      clock when one of these is detected (Harald Koenig).
+  59. Fixes for S3 RAMDAC detection (STG1700 and SDAC) (Harald Koenig).
+  58. Fix ICD2061A code for clocks between 110MHz and 120MHz (Harald Koenig).
+  57. Chips & Technology SVGA driver (Jon Block, Mike Hollick, Régis Cridlig).
+  56. 16/32bpp support for #9 boards with Ti3020 ramdac (Robin Cutshaw).
+  55. Fix bsdi.cf problems with gcc options (Hans Nasten).
+ 
+ XFree86 3.1.0b (30 October 1994)
+  54. 16/32bpp support for Elsa Winner2000Pro (964+Ti3020) (Dirk Hohndel).
+  53. Update to cirrus programmable clock code (Harm Hanemaayer).
+  52. Accelerated 16/32bpp bitblt for the Cirrus driver (Harm Hanemaayer).
+  51. The vgawonder driver will now attempt to determine what the board uses to
+      generate clocks (Marc Aurele La France).
+  50. Allow mode flags to specify composite sync polarity (Marc Aurele
+      La France).
+  49. ati.test and vgawonder driver updates (Marc Aurele La France).
+  48. Vgawonder driver will now attempt to use a default video mode (derived
+      from the existing CRTC settings) when no modes are specified in the
+      XF86Config (Marc Aurele La France).
+  47. Fix problem where clock probe could report high values as zero (Marc
+      Aurele La France).
+  46. SVGA driver for Avance Logic Inc. ali2301, ali2302, ali2308 and
+      ali2401 (Ching-Tai Chiu).
+  45. Enable linear aperture access for BSD/386 (Hans Nasten).
+  44. Some Linux xterm fixes (Orest Zborowski).
+  43. Fix Linux xdm groups setting problem (Orest Zborowski).
+  42. Allow Mach8 server to delete unsuitable modes (Hans Nasten).
+  41. Attempt at fixing FatalError() re-entrancy problems when aborting.
+  40. Add X server lock file code.
+  39. Modify PTS code in xtrans to remove an existing node at server startup
+      (as happens with UNIXCONN).
+  38. Set debug level to 1 in xtrans (this should allow error messages to
+      finally be seen).
+  37. Modify xtrans to use ErrorF() for debug/error messages within the
+      X server.
+  36. Updates to the S3MNAdjust option -- including no longer using global
+      variables (Harald Koenig).
+  35. Fix horizontal stripes when panning with an S3 805i (Harald Koenig).
+  34. Fix SDAC + pixmux patch (Harald Koenig).
+  33. Fix line-related crash problem when using linear addressing with
+      the SVGA server (Harm Hanemaayer).
+  32. Fix Cirrus 5434 linear addressing text blt bug (Harm Hanemaayer).
+  31. Fix Cirrus 14-pixel font bug (Harm Hanemaayer).
+  30. Improve Cirrus probing (Harm Hanemaayer).
+ 
+ XFree86 3.1.0a (21 October 1994)
+  29. Fix some missing globals in Linux libX11 (Orest Zborowski).
+  28. Fix for TCPCONN code's checking for an existing server.
+  27. Support for building ELF dynamic libs on Linux (Michael Riepe).
+  26. Fix gcc local label usage in vgaFasm.h (Adam Richter).
+  25. OS/2 client support (Holger Veit).
+  24. Fix some data initialisation problems in libX11 and libXt
+      (Christos Zoulas).
+  23. Use '-ansi -pedantic' with GCC when building the core tree.
+  22. Changes to vgaFasm.h to allow compilation with 'gcc -ansi -pedantic'.
+  21. Revised OAK driver which includes OTI-087 support (Jorge Delgado).
+  20. Don't use -lmalloc for FreeBSD 1.1.5 -- it seems to cause some server
+      crashes.
+  19. Change FreeBSD.cf to refer to the compiler as 'cc' instead of 'gcc'
+      (Rich Murphey).
+  18. Work around some problems GNU make 3.62 has with the rstart Imakefile
+      (Jim Tsillas).
+  17. Fix HW cursor problems after switching resolutions with the SVGA
+      server (Harm Hanemaayer).
+  16. Fix I/O permission problem with AL2101 driver (Harm Hanemaayer).
+  15. Preliminary doublescan mode flag support (Harm Hanemaayer).
+  14. Accelerated transparent text for Cirrus 5426/8 (Harm Hanemaayer).
+  13. Cirrus programmable clock support (Harm Hanemaayer).
+  12. Cirrus accelerated image text for 16/32bpp (Harm Hanemaayer).
+  11. Fix Cirrus HW cursor colour map at 16/32bpp (Harm Hanemaayer).
+  10. Fix 16bpp VC switch lockup on Cirrus 5426 (Harm Hanemaayer).
+   9. Fix SDAC 15/16bpp setup and 8bpp pixmux clock selection (Harald Koenig).
+   8. New (faster) S3 stipple code (Hans Nasten).
+   7. Add the xf86config program to the source tree (Harm Hanemaayer).
+   6. Gamma correction support for Ti3025 (Hans Nasten).
+   5. Add code to set 170MHz Bt485/20C505 limits for 32bpp.
+   4. Fix incorrect clock limit for ATT20C490 + programmable clock.
+   3. Fix S3 co-ord overflow check for bpp > 8.
+   2. Fix to S3 server to support newer #9 GXE64Pro boards (Robin Cutshaw).
+   1. Documentation updates.
+ 
+ XFree86 3.1 (29 September 1994)
+ 400. --- Code freeze ---
+ 399. Fix slow server death and VT switching problems with W32 server
+      (Glenn Lai).
+ 398. Fix problem with the W32 server not being installed set-uid (Hans Nasten).
+ 397. Fix problem with LinkKit Imakefile (Matthieu Herrb).
+ 396. Documentation updates.
+ 
+ XFree86 3.0Z (27 September 1994)
+ 395. Fix mouse access problem when server resets while not in the active VT
+      (Orest Zborowski).
+ 394. Fix typo in pvga1 driver (Simon Cooper).
+ 393. Documentation updates.
+ 392. Disable MMIO for Cirrus -- doesn't work yet (Harm Hanemaayer).
+ 391. Workaround for Cirrus GRF corruption in SVGA probe (Harm Hanemaayer).
+ 390. Update colourmap/blanking for W32 server (Glenn Lai).
+ 389. Fix clock ordering problem for vgawonder driver (Marc Aurele La France).
+ 388. Fix typo in Mach32 server which prevents it from starting at 16bpp
+      (Alan Hourihane).
+ 
+ XFree86 3.0Fe (26 September 1994)
+ 387. Fix for S3 line drawing overwriting HW cursor storage.
+ 386. Include Monitors and Devices files which contain the Monitor and Device
+      XF86Config sections that have been submitted (Gertjan Akkerman).
+ 385. Update Cirrus probing for 543x chips in SuperProbe (Harm Hanemaayer).
+ 384. Update ET4000/W32 probing for SuperProbe (Glenn Lai).
+ 383. 16bpp support for S3 GENDAC + 801/805 (Harald Koenig).
+ 382. Updates to S3 GENDAC code -- program best matching clock frequency
+      (Harald Koenig).
+ 381. Fix most pixel shift problems for #9GXE64Pro (Hans Nasten and
+      Robin Cutshaw).
+ 380. Don't allow the S3 "dac_8_bit" option to have any affect at 16/32bpp,
+      and fix related problem when using the SC15025 RAMDAC.
+ 379. Fix problem with Spea Mercury (Norbert Distler).
+ 378. Documentation updates.
+ 377. Updates to SolX86 aperture driver config (David Holland).
+ 376. Don't write mouse speed setting commands when using a non-logitech
+      protocols.
+ 
+ XFree86 3.0Fd (25 September 1994)
+ 375. AGX documentation updates (Henry Worth).
+ 374. Fix for text-mode restore problem with AGX server (Henry Worth).
+ 373. Change name of XF86Vga256Drivers to XF86SvgaDrivers.
+ 372. Documentation updates.
+ 371. Enable 16bpp, 32bpp for 964+Bt485.
+ 370. Support for 16bpp and 32bpp on 964+Bt485 -- tested so far on
+      Miro Crystal 20SV (Eddy Olk).
+ 369. Fix pixel wrapping for 964+Bt485 (Eddy Olk).
+ 368. Fix low-res mode support for GXE64Pro (Robin Cutshaw).
+ 367. Fix some depth 15 vs depth 16 code for the Ti3020 (Hans Nasten).
+ 366. Update W32 server (Glenn Lai).
+ 
+ XFree86 3.0Fc (24 September 1994)
+ 365. Fix image shift at 32bpp on GXE64Pro (Hans Nasten).
+ 364. Only initialise TrueColor visual for 16/32bpp since DirectColor is
+      not appropriate for the hardware.
+ 363. Man page updates.
+ 362. Fix installation problems with XF86Config man page.
+ 361. Disable some code in vgawonder driver that leads to problems with
+      SuperProbe (Marc Aurele La France).
+ 360. Change clock ordering (in some cases) for vgawonder driver so it
+      now depends only on the clock chip used (Marc Aurele La France).
+ 359. Fix S3 VT switching problem with #9 GXE64Pro (Robin Cutshaw).
+ 358. Added README.SOLX86 (David Holland).
+ 
+ XFree86 3.0Fb (23 September 1994)
+ 357. Enable ICS2595 clockchip support.
+ 356. Enable 32bpp for Ti3025+964.
+ 355. Change font cache and pixmap expansion allocation policy for S3
+      server.  This allows better performance when there isn't much
+      offscreen memory available (Hans Nasten). 
+ 354. Fix for banked ImageFill for bpp>8 (Hans Nasten).
+ 353. Updates to XF86_Accel man page.
+ 352. Remove references to 'Xconfig' in source code.
+ 351. Updates for ICS2595 code (Norbert Distler).
+ 350. Enable 16bpp for Spea Mercury.
+ 349. VTSema fixes for AGX server (Henry Worth).
+ 348. Updated 16bpp/32bpp support for 928+Bt485 (Norbert Distler).
+ 347. Partial support for 16bpp/32bpp with 964+Bt485 (Steve Parker).
+ 346. Fix Ti3025 pll save/restore, and set MCLK to 54.8MHz to eliminate
+      screen corruption (Hans Nasten).
+ 345. Fix for AGX tile SEGV (plus some cleanups) (Henry Worth).
+ 344. Update to solx86 aperture driver docs (David Holland).
+ 343. Fix problem with S3 mmio usage at 16bpp and 32bpp (Hans Nasten).
+ 342. Fix Mono VGA server crashes when compiled with gcc2.
+ 341. Updates to xterm for Linux to handle its UTMP style and lastlog
+      (Helmut Geyer).
+ 340. Remove some dependencies on removed cfb.banked.
+ 339. Fix Mach32 SW cursor SEGV.
+ 338. Prevent "nomemaccess" being used for S3 864/964.
+ 337. Change FreeBSD.cf to use gnumalloc for FreeBSD 2.x (Rich Murphey).
+ 336. Set weights correctly for Cirrus 32bpp (Harm Hanemaayer).
+ 335. Fix signal handling in xinit for SVR4 (David Holland).
+ 
+ XFree86 3.0Fa (21 September 1994)
+ 334. Fix problems with cirrus top/left edge handling with HW cursor
+      (Simon Cooper).
+ 333. Fix GC problem causing S3 server crash at 16bpp and 32bpp.
+ 332. Added copyright to the output of reconfig.
+ 331. Fixes for vgawonder driver (Marc Aurele La France).
+ 330. Update README.ati and ati.test.c (Marc Aurele La France).
+ 329. Fix potential problem with tranparent text for the cirrus 543x
+      (Harm Hanemaayer).
+ 328. Fixes for ICS2595 clock code (Norbert Distler).
+ 327. Remove cfb.banked.
+ 
+ XFree86 3.0F (20 September 1994)
+ 326. Fix problem building reconfig when BuildServersOnly is YES.
+ 325. Upates to README.FreeBSD (Rich Murphey).
+ 324. Fix P9000 problem starting at 16bpp (Erik Nygren).
+ 323. Fix AGX screen saver, and a flash that occurs when switching into
+      XGA mode (Henry Worth).
+ 322. Preliminary support for the ICS2595 clock chip (not enabled yet)
+      (Norbert Distler).
+ 321. Fix pixel shift problem with GXE64Pro at 8bpp and 16bpp (Robin Cutshaw).
+ 320. Change clock doubler transition to 80MHz for Ti3025 (Robin Cutshaw).
+ 319. Add README.Bsdi (Hans Nasten).
+ 318. Removed the need to specify the "elsa_w1000pro" and "elsa_w1000isa"
+      Options.
+ 317. Remove "stealth64" and "miro_crystal20sv" Options -- they are no longer
+      needed.
+ 
+ XFree86 3.0Ec (19 September 1994)
+ 316. Fixes for Ti3025 support -- fixes problem with machine lockups, and
+      adds preliminary 16bpp support (Robin Cutshaw).
+ 315. No longer allow 'Device' in the Keyboard section.  Must now use
+      'Protocol'.
+ 314. Updates to Cirrus BitBLT and fix for tile fill bug (Harm Hanemaayer).
+ 313. Disable Cirrus top/left edge HW cursor handling -- problems when
+      changing cursors near the edge.
+ 312. Fix another clock limit bug in S3 server.
+ 311. Disable Fresco by default.
+ 310. Updates to W32 server (Glenn Lai).
+ 
+ XFree86 3.0Eb (18 September 1994)
+ 309. Updates to README.NetBSD (Matthieu Herrb).
+ 308. Fix Mode Flags error reporting in xf86Config.c.
+ 307. Fix sessreg for Linux and add an install rule for it (Leonard N. Zubkoff).
+ 306. Fix xdm support with shadow passwords for Linux (Leonard N. Zubkoff).
+ 305. Fix typo in bsdi.cf (Hans Nasten).
+ 304. Support for Ti3025/#9GXE64pro (Robin Cutshaw).
+ 303. Don't include s3_svga driver in SVGA server by default.
+ 
+ XFree86 3.0Ea (17 September 1994)
+ 302. Update bsdi.cf so Gcc2 is default for versions 1.1 and later only
+      (Hans Nasten).
+ 301. Fix mfb.banked so it will compile with gcc 1.4x (Hans Nasten).
+ 300. Remove old Xconfig code.
+ 299. Fix some SEGV after FatalError() problems in xf86Config.c.
+ 298. Set max clock to 67.5MHz for Mach32 at 16bpp.
+ 297. Support for P9000 screen blanking at 16bpp and 32bpp (Erik Nygren).
+ 296. Merge in XC public fix-05.
+ 295. Trap bpp > 8 in S3 server for Bt485 and Ti RAMDACs since it doesn't work.
+ 294. Fixes for various xf86Config.c bugs.
+ 293. Fix S3 clock limits when using clock doubling RAMDACs.
+ 292. Fixes to  Ti3025 code to prevent lockups (Robin Cutshaw).
+ 291. Move S3 Bt485 probe to after the Ti3020/5 probe (Robin Cutshaw).
+ 290. Fix cirrus HW cursor behaviour at top and left edges (Simon Cooper).
+ 289. Set background colour mapping of Cirrus HW cursor correctly
+      (Simon Cooper).
+ 288. Allow cirrus hardware cursor to be used when accel is turned off
+      (Simon Cooper).
+ 287. Don't build shared lib for LBX on Linux (Orest Zborowski).
+ 286. Add README.Linux (Orest Zborowski).
+ 285. Fix P9000 cursor problems when VT switching (Erik Nygren).
+ 284. Update P9000 server to work with XF86Config (Erik Nygren).
+ 283. Fixes for Solaris 2.4 x86 build problems with reconfig and shm.c
+       (Doug Anson).
+ 
+ XFree86 3.0E (14 September 1994)
+ 282. Change the 'Device' entry in the Keyboard section of XF86Config to
+      'Protocol'.
+ 281. Update the M magic formula for S3 server (Harald Koenig).
+ 280. Disable TI3025 support in S3 server -- it is incomplete.
+ 
+ XFree86 3.0Dl (13 September 1994)
+ 279. XF86Config(4/5) manual page.
+ 278. LinkKit support for the W32 server.
+ 277. Change HW cursor code to position cursor next to the top/left edges
+      instead of disappearing (Harm Hanemaayer).
+ 276. Add code to the Cirrus driver to determine clock limits based on the
+      available DRAM bandwidth (Harm Hanemaayer).
+ 275. Add an "S3MNAdjust" entry to the Device section of the XF86Config
+      to allow tuning of the M and N parameters in the S3 server (Harald
+      Koenig).
+ 274. Add a Gamma entry to the Monitor section in the XF86Config (Harald
+      Koenig).
+ 273. Don't strip server binaries when installing.
+ 272. Set PLL limits in S3 server for S3 GENDAC and SDAC.
+ 
+ XFree86 3.0Dk (11 September 1994)
+ 271. Add check for incorrect Modes line in XF86Config.
+ 270. Add some sanity checks to S3 server for supported depths.
+ 269. Fix SEGV during startup of VGA16 server.
+ 268. Support for HW cursor in the Cirrus driver (Simon Cooper).
+ 267. Fix LinkKit Imakefile for building SVGA server (Simon Cooper).
+ 266. Update lnxLib.rules for new dll tools (Orest Zborowski).
+ 265. Add code to the VGA servers to handle drivers (like tvga with 512k
+      in 256 colour mode) which require scaling of the raw clock to give
+      the pixel clock.
+ 264. Add code to the VGA servers to handle drivers (like the generic 256
+      colour driver) which use only builtin modes.
+ 263. Fix bitPerRGB reported by the SVGA server.
+ 262. ET4000/W32 accelerated server (Glenn Lai).
+ 261. Fix for AGX rect tile and stipple code (Henry Worth).
+ 260. Add checks for the presence of Modes lines to servers that require them.
+ 259. S3 code to handle limits imposed by clock chips.
+ 258. Fix S3 pMode->SynthClock code (Harald Koenig).
+ 257. Fix S3 raw clock setting for SC15025 (Harald Koenig).
+ 256. Fixes for Mach32ImageStipple (Mike Bernson).
+ 255. Improve AGX support for the Hercules dual RAMDACs, provide
+      better screen blanking at startup, and fixe memory probe (Henry Worth).
+ 254. Add clockchip "ti3025" recognition (Hans Nasten).
+ 253. Fix xf86Config handling of ClockChip (Harald Koenig).
+ 252. Fix xf86Config handling of default colour weights (Harm Hanemaayer).
+ 251. P9000 updates (Erik Nygren).
+ 250. Fix SEGV problem in Mach32 font cache code.
+ 249. S3 code to handle clock/bpp/ramdac dependent raw-clock vs pixel clock
+      scaling.
+ 
+ XFree86 3.0Dj (8 September 1994)
+ 248. Fixed and enabled ImageRead in CopyArea for P9000 server (Chris Mason).
+ 247. Fixed xdm server restart problem with P9000 server (Erik Nygren).
+ 246. Added a sample XF86Config file that gets installed as
+      $(LIBDIR)/XF86Config.eg.
+ 245. Change search method for XF86Conifg file.  Only allow user-specified
+      location when real-uid == 0.  Also change -xconfig flag to -xf86config,
+      and $XCONFIG to $XF86CONFIG.
+ 244. Fix reconfig's problem with "ps/2" (Orest Zborowski).
+ 243. External changes for W32 server (Glenn Lai).
+ 242. Change ELSA probe to check for BIOS signature first (Harald Koenig).
+ 241. Preliminary support for the Ti3025 & #9GXE64pro (Robin Cutshaw).
+ 
+ XFree86 3.0Di (7 September 1994)
+ 240. Remove AGX server's dependence on VGA256 (Henry Worth).
+ 239. Fix display start address in vgawonder driver for Mach32 and Mach64
+      boards (Marc Aurele La France).
+ 238. Fix clock probling in vgawonder driver for Mach64 boards
+      (Marc Aurele La France).
+ 237. vgawonder driver now detects and rejects Mach32 boards without
+      VGA Wonder functionality (Marc Aurele La France).
+ 236. Add ClockChip XF86Config keyword for programmable clock chips.
+ 235. Add a FIFO_MODERATE option for AGX server (Henry Worth).
+ 234. Limited support for Big-RAMDAC and dual-RAMDAC for 2MB Hercules
+      Graphite cards (Henry Worth).
+ 233. Eliminate use of libvga256 in AGX server (Henry Worth).
+ 232. Convert AGX code to use the Ramdac keyword instead of Options (Henry
+      Worth).
+ 231. Fix (?) ELSA probe code's register restoral.
+ 230. Auto-detection code for the NetBSD aperture driver (Matthieu Herrb).
+ 229. Change OpStipple interface in font code (Hans Nasten and Jon Tombs).
+ 228. Fix clock and register restoration in P9000 server (Chris Mason,
+      Harry Langenbacher, Erik Nygren).
+ 227. Fix Orchid P9000 support (Harry Langenbacher).
+ 226. Fix BIOS Probe for Viper PCI (Bob Hollinger).
+ 225. 16bpp/32bpp support code for SVGA server.  Cirrus 16bpp/32bpp support
+      is now enabled (Harm Hanemaayer).
+ 224. Fix Mach32 cache problems (Mike Bernson).
+ 223. Fix Mach32 memory probe.
+ 222. xf86Config and reconfig bug fixes.
+ 
+ XFree86 3.0Dh (4 September 1994)
+ 221. Added minimal reconfig(1) man page so that 'make install.man'
+      doesn't fail.
+ 220. Combine Stealth64 and Miro Crystal 20SV code.  This should fix
+      some Stealth64 problems.
+ 219. Fix InstallManPageAliases rule for FreeBSD (Ernest Hua).
+ 218. 16bpp and 32bpp support for Cirrus driver -- still requires some changes
+      to the SVGA server, so not enabled yet (Harm Hanemaayer).
+ 217. Fixes for Mach32 cache clipping problems (Mike Bernson).
+ 216. 32bpp S3 updates for ELSA cards (Harald Koenig).
+ 215. Updates to new XF86Config code.
+ 
+ XFree86 3.0Dg (3 September 1994)
+ 214. Change over to new config file format -- XF86Config (Gertjan Akkerman).
+ 
+ XFree86 3.0Df (31 August 1994)
+ 213. Amoeba support updates (Kees Verstoep).
+ 212. Fixes for Viper PCI support (Matt Thomas).
+ 211. MoveWindow acceleration for all depths on P9000, and acceleration
+      now enabled by default (Chris Mason).
+ 210. P9000 updates.  Includes updates to sysconfig code, Orchid and PCI
+      support now enabled by default (Erik Nygren).
+ 209. SuperProbe and ModeDB updates (David Wexelblat).
+ 208. Support for the S3 805i and 16-bit RAMDACS (including ATT20C498, 
+      STG1700, SDAC) (Bernhard Bender).
+ 207. Support for the S3 SDAC with S3 864 (Bernhard Bender).
+ 206. Basic support for ET4000W32 chipsets in the VGA servers.  Includes
+      chipset detection and code to handle up to 4MB video memory (Harm
+      Hanemaayer).
+ 205. Mach32 server modified to use generic cache code (Mike Bernson).
+ 204. Allow pixmap expansion for display widths <= 800 in S3 server.
+ 203. Updates for SCO (including 3.2.4 and international crypt support)
+      (David McCullough).
+ 202. Use mi cursor for 32bpp on S3 928 because HW cursor is broken (Harald
+      Koenig).
+ 201. Fix nomemaccess code in s3im.c (Harald Koenig).
+ 200. Code to auto-detect ELSA Winner cards, and automatically enable the
+      icd2061a clock (Harald Koenig).
+ 199. Fix for 32bpp S3 font cache problems (Harald Koenig).
+ 198. Support for a linear addressing mode in the Cirrus driver (Harm
+      Hanemaayer).
+ 197. Performance improvements for the "fastvga256" asm code (Harm Hanemaayer).
+ 196. Fix for Cirrus problem caused by pvga1 probe.
+ 195. Code added to S3, Mach8 and VGA servers to delete modes from the
+      "Modes" line which would previously have caused the server to
+      not start (Stuart Anderson).  Note: the Mach32 server already had
+      this code.
+ 
+ XFree86 3.0De (20 August 1994)
+ 194. Add run-time check for SHM kernel support on FreeBSD and NetBSD.
+ 193. Updates to xload for Solx86 (David Holland).
+ 192. Fix NULL dereference in showfont (David Holland).
+ 191. xconsole and doc updates for NetBSD 1.0_BETA (Matthieu Herrb).
+ 190. Major Cirrus driver update.  Includes faster solid, stipple and tile
+      filling, improved text acceleration, blt in background, shadow I/O
+      registers, optional MMIO support for 543x (Harm Hanemaayer).
+ 189. Support for the miroCRYSTAL 20SV (S3 964) (Eddy Olk).
+ 188. Preliminary 32bpp S3 support (Harald Koenig).
+ 187. Make Trucolor the default root visual for 15/16/24bpp S3 (Harald Koenig).
+ 186. Fix S3 16bpp for 1024x768 and 1152x900 and some panning problems
+      (Harald Koenig).
+ 185. Fix tiling problem, and VT switch problems for S3 16bpp (Harald Koenig).
+ 184. Fix for Ti3020 ramdac support at >8bpp (Robin Cutshaw).
+ 183. AGX server fixes.  Includes CopyPlane, (vga) save/restore, SC15021 CLUT
+      access, scratchpad config.  (Henry Worth).
+ 182. Merge in XC public fix-04.
+ 
+ XFree86 3.0Dd (12 August 1994)
+ 181. Fix for unnecessary read-ahead in mfbblt, and remove the '-32' display
+      width restriction (Pascal Haible, Gertjan Akkerman).
+ 180. Support for SGS/inmos STG1700 RAMDAC -- S3 server (Bernhard Bender).
+ 179. Performance improvements for AGX server (Henry Worth).
+ 178. More 15/16bpp fixes for S3 (Harald Koenig).
+ 
+ XFree86 3.0Dc (11 August 1994)
+ 177. Various 15/16bpp S3 fixes (Jon Tombs, Harald Koenig).
+ 176. 16bpp support for ATT 20C490 (Jon Tombs).
+ 175. 16/24/32bpp code for SC15025 (Harald Koenig).
+ 174. Support for gamma correction in S3 server (Harald Koenig).
+ 173. Probe code for the SC15025 (S3 server and SuperProbe) (Harald Koenig).
+ 
+ XFree86 3.0Db (6 August 1994)
+ 172. Patches for N.M value triming (Harald Koenig).
+ 171. ATT20C498 and 864 support for 15/16/24bpp in S3 server (Harald Koenig).
+ 170. Ti3020 and Bt485 Ramdac support for 15/16/24bpp in S3 server
+      (Robin Cutshaw).
+ 169. Fix problems building debugging libFS (Christos Zoulas).
+ 168. Remove XOR'd extended register addressing in S3 server.
+ 
+ XFree86 3.0Da (3 August 1994)
+ 167. Use XOR'd extended register addresses for S3 server -- avoids clash
+      with "COM4" I/O address (Jon Tombs).
+ 166. 16bpp S3 support (no ramdac initialisation yet) (Jon Tombs).
+ 
+ XFree86 3.0D (1 August 1994)
+ 165. Fix for text restore problems with cl6420 driver (Manfred Brands).
+ 164. Change S3 screensaver code to do the same thing as the vga256 code
+      (Bernhard Bender).
+ 163. Update Cirrus driver for vga256 changes (Harm Hanemaayer).
+ 162. Fixes for font scaling problems on SVR4 (David Wexelblat).
+ 161. Remove all of the old unused pixmap cache code (David Wexelblat).
+ 160. Use generic font cache code for S3 server (David Wexelblat).
+ 159. Native AGX code for Save/RestoreAreas, CopyWindow and PaintWindow
+      (Henry Worth).
+ 158. Change AGX clock mappings -- see README.agx for details (Henry Worth).
+ 157. Update AGX server for vga256 changes (Henry Worth).
+ 156. Xtest fix for Linux (Erik Nygren).
+ 155. Speedup for cached text output in Mach8 and 8514 servers (Hans Nasten).
+ 154. Workaround for 6225 with LCD where full on white pixels cause display
+      problems (Philip Homburg).
+ 153. Fix memory handling for Mach8 boards with the SVGA vgawonder driver
+      (Marc Aurele La France).
+ 152. Fix some build problems on NCR SVR4 (Stuart Anderson).
+ 151. Fix problem which caused xjewel to lock up the S3 server when running
+      in linear mode (Harald Koenig).
+ 150. xman support for gzip'd man pages.
+ 149. Fix LinkKit problems.
+ 148. Omit monitor ID check in 8514 server.
+ 147. Fix card ident problem with ati driver.
+ 146. Fix asm problem in new pvga1/bank.s.
+ 145. Fix programs/Imakefile error.
+ 
+ XFree86 3.0Ce (24 July 1994)
+ 144. Alternate "SlowBcopy()" which avoids I/O (which causes problems on
+      some cards) (Glenn Lai).
+ 143. Restore original mouse baud rate when exiting and VT switching (Harald
+      Koenig).
+ 142. pvga1 driver updates.  Includes 90C33 support for 2MB, and accel code
+      updates (Bill Conn and Bill Morgart).
+ 141. Major updates to the SVGA ATI vgawonder driver.  Includes support for
+      4MB, probe code to detect Mach8, Mach32 and Mach64 boards, RAMDAC
+      detection, clock probe update to handle the clock chip used on Mach64
+      boards, and fixes for V3, V4 and V5 boards (Marc Aurele La France).
+ 140. Support for BuildServersOnly option to build only the servers using
+      a cut-down source tree (Gertjan Akkerman).
+ 139. Preliminary P9000 accelerated support (currently incomplete and
+      disabled by default) (Chris Mason and Erik Nygren).
+ 138. Preliminary Viper PCI, Orchid P9000 support (currently disabled by
+      default) (Erik Nygren).
+ 137. Replace the cfb.banked code with fb code which relies more on the
+      standard cfb code.  For further details see the file "Design" in
+      xfree86/vga256/vga/ (Stuart Anderson).
+ 
+ XFree86 3.0Cd (22 July 1994)
+ 136. Add dacspeed Xconfig keyword, and modify the S3 server to use it.
+ 135. Update contrib source to the XC's full release version.
+ 134. Fix pixel doubling problem on #9 GXE64 cards (Robin Cutshaw).
+ 133. Change '--print' to 'print-libgcc-file-name' in Linux config files
+      for compatibility with gcc 2.6 (Orest Zbrowoski).
+ 
+ XFree86 3.0Cc (19 July 1994)
+ 132. Make use of the Xconfig Ramdac keyword in the S3 server.
+ 131. Improved support for the ELSA W2000Pro (Dirk Hohndel).
+ 
+ XFree86 3.0Cb (16 July 1994)
+ 130. Updated xc/bug-report for XC fix-03.
+ 129. Don't mark duplicate clocks as zero in VGA servers.
+ 128. Support for #9GXE64 in S3 server (Robin Cutshaw).
+ 127. Tiled pixmap/stipple expansion for the S3 server (David Wexelblat).
+ 126. Tiled pixmap/stipple expansion for Mach8 and 8514 servers (Hans Nasten).
+ 125. P9000 updates.  Includes colour restoration fix, changes in Modes
+      processing, and removal of banking support (Erik Nygren).
+ 124. 16 and 32 bpp TrueColor support for the P9000 server (Erik Nygren).
+ 123. Updates to AGX server.  Includes font cache fixes, line fixes and
+      some more tuning options (Henry Worth).
+ 122. Aperture driver for NetBSD (Matthieu Herrb).
+ 121. Added basic man page for beforelight (Rich Murphey).
+ 120. Swap order of libXExExt and libXext.
+ 119. Remove the temporary Mach32ShareCfb option.
+ 
+ XFree86 3.0Ca (28 June 1994)
+ 118. NetBSD updates (Christos Zoulas).
+ 117. Various updates for Minix (Philip Homburg).
+ 116. Support for including the MIT-SCREEN-SAVER extension (David Holland).
+ 115. Fixes for AGX font cache code (Henry Worth).
+ 114. Banking support for P9000 (doesn't seem to work yet) (David Moews).
+ 113. Text restoration code for P9000 (Chris Mason).
+ 
+ XFree86 3.0C (22 June 1994)
+ 112. Fix server crash when started with a lock key on.
+ 111. Recognise 864/964 PCI as capable of linear memory access.
+ 110. Fix ramdac access and clock probe problems with AGX server (Henry Worth).
+ 109. Support for Stealth 64 (S3 964 + Bt485) (Steven Parker).
+ 108. Fix for 4-pixel border problem with S3 864 pixmux (Harald Koenig).
+ 107. Allow the S3 SVGA driver to recognise the 864 and 964 (Harald Koenig).
+ 106. Improved 5434 support, and accelerated copyPlane1to8 for cirrus
+      (Harm Hanemaayer).
+ 
+ XFree86 3.0Bc (19 June 1994)
+ 105. Fix VT switch problem in 16bpp Mach32 when sharing cfb.
+ 104. Add framework for a ramdac Xconfig setting (like chipset).
+ 103. Reorganise mode/clock matching code (Marc Aurele La France).
+ 102. Fix server's client count problem after authorisation failure.
+ 101. Option "power_saver" to enable power-down mode on "green" monitors.
+      So far this is implemented only for VGA (all depths) and S3 servers.
+ 100. Remove old "memaccess" S3 option.
+  99. Add Option "pci_hack" to work around a lockup problem reported with
+      some 928-P cards.
+  98. Fix S3 928-P detection/reporting.
+  97. Don't allow S3 "nomemaccess" option for 864/964 chipsets.
+  96. Make cbrt a library -- removes the need for NeedCbrt on Linux
+      (Marc Aurele La France).
+  95. Change ATI SVGA driver to Marc Aurele La France's version
+      (includes support for Vga2 and Vga16).
+  94. Function prototyping for AGX, and prototype cleanup in vga16 (Stuart
+      Anderson).
+  93. Fix (not complete?) problem with dual-headed servers.
+ 
+ XFree86 3.0Bb (16 June 1994)
+  92. AGX server (Henry Worth).
+  91. Accelerated support for 90C33 (Bill Conn).
+  90. Use s3ImageWriteFunc to load S3 cursor.
+  89. Fix problems with SPEA Mercury for clocks > 120MHz (Norbert Distler).
+  88. Code to program S3 GENDAC clock (Clocks "s3gendac") (Jon Tombs).
+  87. Fix some build problems with lbx.
+  86. Build servers with -DAVOID_GLYPHBLT.
+ 
+ XFree86 3.0Ba (11 June 1994)
+  85. Preliminary ELSA Winner 2000PRO support (S3 964) (Dirk Hohndel).
+  84. Updates to S3 864 support (Harald Koenig).
+  83. Merge in XC fix-02.
+ 
+ XFree86 3.0B (6 June 1994)
+  82. bitblt fixes (including big memory leak) for 8514, Mach8, Mach32 and
+      S3 servers (Tiago Gons).
+  81. line/seg fixes for 8514 and Mach8 servers (Tiago Gons).
+  80. Remove separate cfb libs for Mach32 (only compile-tested so far).
+  79. Restore hw/xfree86/etc directory.
+  78. Update bsdinst.sh for SVR4 (use /usr/ucb/install, and run 'mcs -d'
+      as well as strip).
+  77. Cirrus driver updates (Harm Hanamaayer).
+  76. Mach support (Robert Baron).
+ 
+ XFree86 3.0Ac (1 June 1994)
+  75. Amoeba fixes (Kees Verstoep).
+  74. Fixes for Mach32 dashed line/segment code (Mike Bernson).
+  73. Preliminary 90C33 support (Bill Conn).
+  72. NetBSD.cf updates, and README.NetBSD added (Matthieu Herrb).
+  71. Preliminary support for the ELSA Winner 1000PRO-VL-2 (Harald Koenig).
+  70. Add "weight" and "displayWidth" entries to ScrnInfoRec.
+  69. Banked vga2 server (Pascal Haible).
+  68. Font cache changes for the Mach8 and 8514 servers.  This allows them
+      to work without a font cache, and should allow their use with 512k
+      Mach8 cards.  (Hans Nasten)
+  67. Don't include XIE in the Mono and VGA16 servers (it doesn't handle
+      bit-order != byte_order).
+  66. Add LinkKit and updated VGADriverDoc.
+ 
+ XFree86 3.0Ab (28 May 1994)
+  65. Add support for gzip'd man pages on FreeBSD.
+  64. P9000 server (Erik Nygren).
+  63. Video7 SVGA driver (Craig Struble).
+  62. CL6420 SVGA driver (Manfred Brands).
+  61. Set default paths for xdm for *BSD (so {Give,Take}Console can find chown).
+  60. Add a hw/xfree86/doc directory, and start putting the docs back.
+  59. Fixes for Amoeba support (Kees Verstoep).
+ 
+ XFree86 3.0Aa (22 May 1994)
+  58. Merge in XC public fix-01.
+  57. Updates to FreeBSD.cf.
+  56. Add xf86site.def which can optionally be included from site.def.
+  55. SCO support and some bug fixes (David McCullough).
+  54. Some initial untested S3 864/964 code (Harald Koenig).
+  53. Fix for bsdLib.tmpl.
+  52. STREAMSCONN fixes for xdm, chooser and Xserver XDMCP code (Stuart
+      Anderson).
+ 
+ XFree86 3.0A (15 May 1994)
+  51. SVGA driver for the AL2101 chipset (Paolo Severini).
+  50. SVGA driver for the MX68000 and MX68010 chipsets (Frank Dikker).
+  49. Updates to the Cirrus driver (Harm Hanemaayer).  Includes code cleanup,
+      mono support, improved handling of the 5430, 5434, and transparent
+      text acceleration.
+  48. Preliminary code for detecting S3 864/964 and AT&T 20C498 (Harald Koenig).
+  47. Generic VGA256 driver -- works only at 320x200 (Harm Hanemaayer)
+  46. Fixes for vga2/mfb and vga16/mfb Imakefiles.
+  45. Include SuperProbe.
+ 
+ XFree86 3.0d (8 May 1994)
+  44. Add missing files to vga2/mfb.
+  43. Set VendorString and VendorRelease up for XFree86.
+  42. Workaround for STREAMSCONN Xdmcp problems (Xserver and xdm).
+  41. 16 bit (directcolor) support for Mach32 (Craig Groeschel).
+  40. Minix 3886vm support (Philip Homburg).
+ 
+ XFree86 3.0c (6 May 1994)
+  39. Fixes for Solaris X86 (Doug Anson).
+  38. No longer link the Mono and VGA16 servers with Xserver/mfb/libmfb.a.
+  37. Updates to the VGA16 code (Gertjan Akkerman).  Includes banking support
+      (old-style rather than the Xsvga method), staticcolor visual, oak
+      driver enabled, added some missing files to vga16/mfb.
+  36. Fix Linux shared libs (Orest Zborowski)
+  35. Apollo mono driver (Hamish Coleman)
+  34. Support for dual-headed vga2+mono and vga16+mono servers (Pascal Haible).
+  33. Reorganisation of the mono server (Pascal Haible).  Includes removing
+      xfree86/bdm2, xfree86/hga2, and replacing them with xfree86/mono.
+  32. Fixes for PEX font compiler (from our 940327a snapshot).
+  31. Fix SIOCGIFCONF code in xdm and Xserver for SVR4 (with Lachman TCP)
+      and FreeBSD.  There are still xdm and chooser problems on SVR4.
+ 
+ XFree86 3.0b (29 April 1994)
+  30. Add S3 driver to SVGA server.
+  29. Disable accelerated text blit for Cirrus 543x.
+  28. Reorder some of the Bt485 code, and get clock doubling working again
+      without pixmux.
+  27. Fix image shift problem for pixmux on #9 cards (Robin Cutshaw).
+  26. Fix initialisation bug for Cirrus 62{2,3}5 cards (Harm Hanemaayer).
+  25. Remove 8514 monitor ID check in Mach8 server.
+  24. Fix for problem with compaq driver.
+  23. Add "no_bitblt" option for the cirrus driver.
+  22. Recognise the 5429 in the cirrus driver.
+  21. Disable interrupts while programming the ICD2061A.
+  20. sync-on-green support for the TI3020.
+  19. Move S3 clock doubler setting from icd2061ClockSelect() to s3Init().
+  18. Fix dac_8_bit for Bt485 cursor, and fix Bt cursor blanking problem.
+  17. S3 pixmux support for STB Pegasus, and cleanup of pixmux and icd code.
+      (Leonard Zubkoff).
+  16. Change "fifo_conservative" setting for CLGD543x.
+  15. Don't reserve video memory for HW cursor on S3 when using a RAMDAC cursor.
+  14. Allow the "8clocks" option to force 9 clocks instead of 17 on WD90C3{0,1}
+      cards.
+  13. Fix some DEALLOCATE_LOCAL problems in accel servers.
+  12. Support for Bt485 on #9 cards (Robin Cutshaw).
+  11. Fixes for Cirrus driver (Harm Hanemaayer).
+  10. Fix for text restore problem on some S3 cards (Jon Tombs).
+   9. Workaround for Mach32 detection problem on some platforms.
+   8. Fix incorrect usage of $(DESTDIR) in some lnxLib.rules.
+   7. Code to detect 928-P (Harald Koenig).
+   6. Fix cbrt() in mi/ so that it can handle negative arguments.
+   5. Fix for line clipping problem in cfb.banked (Glenn Lai).
+ 
+ XFree86 3.0a (28 April 1994)
+   4. Add XFree86 server names to the list in xinit.
+   3. Set XawI18nDefines correctly for SVR4.0.
+   2. Update ncr.cf to pick up AllocateLocalDefines when building servers.
+   1. Fold in client/lib OS support not picked up by the XC.
+ 
+ XFree86 3.0 (26 April 1994)
